GNU bug report logs - #55368
29.0.50; Unreliable input-pending-p and throw-on-input on Emacs 29 / pgtk in Wayland

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vijay Marupudi <vijay@HIDDEN>; Keywords: moreinfo; dated Wed, 11 May 2022 13:36:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55368 <at> debbugs.gnu.org:


Received: (at 55368) by debbugs.gnu.org; 14 May 2022 00:55:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 20:55:01 2022
Received: from localhost ([127.0.0.1]:45334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npg3g-0002Dk-TA
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 20:55:01 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:35774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1npg3e-0002DM-HW
 for 55368 <at> debbugs.gnu.org; Fri, 13 May 2022 20:54:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652489692; bh=EKRm/xVrdWPZUBMKEeUTB6IxYr4BUZZMS3Hc4pXputA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=NRyO/5lTya6fCD/4nlrL2AmqKCdj0lGmyJbSh0NMu8Hp+NMFc9pdoG5PP2D+vHi4SR7r+OK3ySswPj/FAp+fixyVu6IQvuvq7xPkch0x74vCt/AKC0EMzfIhFOpP09z4IFOUVyCal6ILq4hHKOwqSfWe1CNbnzjzG18vgFwuBhtoH0gY4g6LOnYqio3vnvxmXH8zwAYWT+KiH9Sgwpu+reiW7+j7xhXUQTIbwI3y5Dfp/JAyM86/I6oxooG2KSGt+0742u3AGe3uIHRUCoNsQbk2W0h15XDEileOhy8ilt5epTnh0A4alySS6AeMxSOzeGeOce99tGQMQZBc12lYdQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652489692; bh=mG9ApROJbqYqr/2io0aQ4EfEkwm4woe9tuCSweqHaqi=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=bXHLP72iEX8+xabJiehbaOHlSyz97Z235H0hfzZuG6xPsXD/WU6EU2BuFLdrXm41tgaZfpCNukLVIqC8d9CDs98+SjwBgXxOnEqo72qt7Qf18YbzFTVp93XamWQRiiG/1Cq0fBs0iJbrmNFZMuoN8Mxw5+MI1rcISHiQtylqxUwJvAFgxekFYdVCrNA1EQlggouRNW7uW/bpdw3YbPzvp5r4N3xsq4eQWndfgInMcV1nLS5YcFy+Nr470d5zJH45UVPw9v+zgLfDHo79A0UOIhQY8pMTo1Qsnjn5F9feKBKNWX7GB3XVnDLfLd6OwNJUAFy9HXTaPcLdLq8182ztLg==
X-YMail-OSG: hAM.pv8VM1myxK5ntEq3ZKSeVxetCLaqBgi_uzadlzHgQWUaQohx3jJ_EJxEFhZ
 zHXXDcOzwsks69lNKyURqEfAtMFi7fWW54RndrqEvEM3rC.VZCTUJp5.uoRnXYRZAdtchUK6Pmhu
 Df08thsXepsCOJo87WYQY_TVoYcpJfP0yIdpSqvUy.LbBKfrXxvDJImHa2X_zJJmB_ZD76X5EhTD
 nBR1jcrV8I7pWvZ0js_p1vNLAr4DxVbcDnEfQC0baP9RQUcnxRFSB6uGh5xYNdPHgvklZLCdoRci
 n9lj8Po5M2I9v5oKp.ghT7Mq8hUBhsIHeJ81A6vYvSgrCVmStYEOG.wIc7y9vaOIUERA0HIZGPJr
 2Sz37xBBo.0Hm76RTDvzGMnpdj6_SHfRUpYiytbPFbq3P8dpO6ifleaH3MaR3rTcfOE7kc15Dzj3
 v1EjqlnQAKgZw0wsTaxPAiiP2_FWUn3XBBpeJD0_RNK0dN8CqaPsEZBBP7DWFumNpLRL6O0SApMK
 durWT4fU0qJ.WS7iSlByGfwZfurW8ElRIFoYbXuuFi.ZeZ3L661Z17vEhUzSzK67McWmZhj5Mvhh
 yQZq6xPrNOOrtQZIa11Zl7jO.zgCMyop4e4dfKi433HFlq8nzUv1fLJC02EZ5Kkua6pzeganhiiD
 rg8v0Draa0R5rVFIig3vF6WsXpI9YhVTRm4bnGlrIfmafvHcL2FSPjwnfwArNfYeHQ3dc8pTfqk8
 HmviUBznOOvyjsVZIb3sU_h7dZWRU0yK5_GfOoTevWUgnndXzV4diXcXz33I_2HVsWTm.J2Pu_mb
 S7CHTJoVnDD1gUvP3aYdkcaL_K1i1Rt8UKl7oJbvY.Ez4WAcfgFtiEn_UUIdbMoYwlyG6XesvPTM
 veFJBEFw6pChsajAnX.MHT_yWPtFLK6cDo5g1rN4vKNli3oB.e8_MSbw0nae51A.vMCm5X7LTDLO
 Ep9OAMeXK8byi0v.do.P9NbrJmiDB6wMlzqGwrSq29LtkUL.YeKQUygI7A62wCs3FpPy1uejSRLK
 3FlL6Bfh72cWin0d1NYewK8TLocfPL7U_OvoldnD_pe8V94ELDuwWgTC0kz8kJUq3d3I23SzxVrz
 VWAGS.uhLHhFBkyfkqc3QohNNUGJjVVecq75shr8F4l3MQTeKRhWQhFKbu43hgCKljBI_72NaQ1d
 J9VjEmQT0eDrlqPTQT5ePFOArcBx1omhLrMyVwpdLIcyvWRYqn46L2825uSHWpxxmX5IshsqdHUb
 y6iTRHTovgiVHhWSuZsca0EK5V3qqnW.E5.bTqmK8BMChoMyL8XKUtdsR05K2W.1o5c7yIp2tM2q
 S9lHRcYKDP99gXIyXwUlgUKRdCNPgdBDrXQFqJGfEYAl7LsY96Ujh1EGykPvG9iVZd9J6Fw2_BE2
 xm4oIVKhtxaRjhhEtV8iCV12W8s0XiejLU9uGNlK2Yh7Fv7lWh1pbOxDNiSwxm5uoz28XoLd96.q
 aczA5XUttTOeDo2W3zzQH9_w17llFDCPvoUr9Ew3s5as2DP52I1EDEd7M3oHHc1HxTtXOf1Iwhtc
 hvSvcGH1yC4tM3LEo5wS2iWEwFMaTZ9WpSz6jecn9SzrCLL2Ufr6lMjpxSl4cR45OAPRoG4KfwFx
 _jf8AEAxqoccojhu2H4JLo_060RxrFiBTSf.hPi_1W9M3PRTi0e68PkxiKeQ_1tusisijj5KMnyH
 Yi._XZANEswMgf2sBD1LHGRZVxcPSbP7gsp7n4wBWMOUIf3GZ7.P1cJqjglD6wjpWpLsAoZtzSuJ
 vFzoWokBxb520Q4RJ15.Azq6m8GnrmWeEQwli9_W6fd4h18h0EVuHU2lxiNQIHlFeyK.a9ZOUtUs
 xYLLBRFpGU82HJkV9kzshwjXQw0gJ..TsJonhz5h_RvzWm4_cqjz5jAnmbGzW.YxOtZYDUpZrYKe
 EN3jBG10fCU7uRE7ullafXwMYv1el4im91XATEvE5ohxmKT2FPNsW8gBeMY65rpF_YUeXOaLaMXc
 TDogbmyKk9ShXn8LAlVmjvyqd7UNKpJiE6qYv2dOP5B4f8OCl4c7BRzXdo52lBTWKUDhwc3wSP8G
 aWKf.Uq2MYM4s3HrI00vdvFzDAF_7ZbnD42gVL06l7LGznf8.aY4M6UMTy7fY3dCylQmwLz0TLU9
 M5i6RHxtyT8u2tqy7YdREpiXPM8BObp.G19rPkSrDEnoDrTVGva2ne9ho3Du7Dx9o.ggp6xKHAqY
 t09cK.ebbP7388BHRUiIs0BEj7iDzld2VeeCgbTbeJuPWuDO.0GdaUuYdRbo-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sat, 14 May 2022 00:54:52 +0000
Received: by hermes--canary-production-sg3-856bf69955-sx85m (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 45e15f263d89b736ff93c023a22f1641; 
 Sat, 14 May 2022 00:54:49 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Vijay Marupudi <vijay@HIDDEN>
Subject: Re: bug#55368: 29.0.50; Unreliable input-pending-p and
 throw-on-input on Emacs 29 / pgtk in Wayland
References: <874k1wgpkv.fsf@HIDDEN> <87lev6w5qp.fsf@HIDDEN>
 <87a6bl5v4v.fsf@HIDDEN>
Date: Sat, 14 May 2022 08:54:44 +0800
In-Reply-To: <87a6bl5v4v.fsf@HIDDEN> (Vijay Marupudi's message of
 "Fri, 13 May 2022 10:07:12 -0500")
Message-ID: <87ilq9szl7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20188
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 977
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55368
Cc: 55368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vijay Marupudi <vijay@HIDDEN> writes:

> I cannot reproduce the bug anymore, not sure why. The screencasts I
> had provided in the Github issue show that experienced it, but for
> some reason I don't see it anymore. I tried bisecting the commits, and
> I couldn't find the commit with the bug anymore.
>
> Sorry about that. There might be numerous reason why I can't replicate
> this bug anymore One reason could be that there was some bug fixed in
> the packages that had been updated since then. I have included the
> list of packages that have been upgraded for archival reasons.
>
> Additionally, it is possible that I might have forgotten to call
> autoreconf -vif and ./configure --options ... before compiling the
> version of Emacs and there might have been some stale files linked in.
> I have no way of checking this now.

I would rather keep this bug open for a little more time, in case you
(or someone else) runs into the bug again.

Thanks for trying.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55368; Package emacs. Full text available.

Message received at 55368 <at> debbugs.gnu.org:


Received: (at 55368) by debbugs.gnu.org; 13 May 2022 15:07:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:07:35 2022
Received: from localhost ([127.0.0.1]:44558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npWtC-0008NF-QJ
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 11:07:35 -0400
Received: from mailtransmit05.runbox.com ([185.226.149.38]:55630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vijay@HIDDEN>) id 1npWtA-0008Mq-Fr
 for 55368 <at> debbugs.gnu.org; Fri, 13 May 2022 11:07:34 -0400
Received: from mailtransmit03.runbox ([10.9.9.163] helo=aibo.runbox.com)
 by mailtransmit05.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <vijay@HIDDEN>)
 id 1npWt3-001CtH-P1; Fri, 13 May 2022 17:07:25 +0200
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=vijaymarupudi.com; s=selector2; h=Content-Type:MIME-Version:Message-ID:Date
 :References:In-Reply-To:Subject:Cc:To:From;
 bh=/8yW5Z+img7JTzb96xNb3QfLBk2wAy6Em4u8aJr25+g=; b=bxZargsWqxx2oocXqT3ALe8mNM
 kjkwsNXP9vjqN0z10DM4Xyrp8YsdjNnvoE+qSaa9jaFyqFiCrN2SV7myvcyN8lIXPpYQmSJXLCb3d
 5ckDyQgUHOQokiaP1agtlTZ366hWoHieYBjniG5VHL60nofaTjxd5cJshRdIzswJ+Gm2UKem+SGtt
 Eis8GetgP2b+c9jy2DovgZJz9NjEMZfl/QqYCRLOIZ96l9beS26kKvU7uBjN+3bE/KftCmjtnXrlc
 BvXuYliIb/PUmbPFHX5ii3XV+Gh/864O2pEOpVj+NufLMBMhndElVW1ecIoYYkQJzRoMObpKu8Jaq
 vrt2ZVww==;
Received: from [10.9.9.74] (helo=submission03.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <vijay@HIDDEN>)
 id 1npWt3-0001Hk-68; Fri, 13 May 2022 17:07:25 +0200
Received: by submission03.runbox with esmtpsa [Authenticated ID (1028486)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1npWsv-0001dd-U7; Fri, 13 May 2022 17:07:18 +0200
From: Vijay Marupudi <vijay@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55368: 29.0.50; Unreliable input-pending-p and
 throw-on-input on Emacs 29 / pgtk in Wayland
In-Reply-To: <87lev6w5qp.fsf@HIDDEN>
References: <874k1wgpkv.fsf@HIDDEN> <87lev6w5qp.fsf@HIDDEN>
Date: Fri, 13 May 2022 10:07:12 -0500
Message-ID: <87a6bl5v4v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55368
Cc: 55368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I cannot reproduce the bug anymore, not sure why. The screencasts I
had provided in the Github issue show that experienced it, but for
some reason I don't see it anymore. I tried bisecting the commits, and
I couldn't find the commit with the bug anymore.

Sorry about that. There might be numerous reason why I can't replicate
this bug anymore One reason could be that there was some bug fixed in
the packages that had been updated since then. I have included the
list of packages that have been upgraded for archival reasons.

Additionally, it is possible that I might have forgotten to call
autoreconf -vif and ./configure --options ... before compiling the
version of Emacs and there might have been some stale files linked in.
I have no way of checking this now.

Po Lu <luangruo@HIDDEN> writes:

> Does that mean the bug doesn't happen in the regular X build, or does it
> mean that nothing happens if you run the PGTK build under X Windows?

For archival reasons, this happened in PGTK in Wayland, but not in
PGTK in X.Org.

Sorry about the inconvenience. This bug can be closed.

Packages that have been upgraded since then:

[2022-05-11T08:02:35-0500] gnutls
[2022-05-11T08:02:35-0500] sqlite
[2022-05-11T08:02:35-0500] chromium
[2022-05-11T08:02:35-0500] criu
[2022-05-11T08:02:36-0500] pyright
[2022-05-11T08:06:39-0500] google-cloud-sdk
[2022-05-11T10:11:14-0500] wireplumber
[2022-05-11T18:45:23-0500] curl
[2022-05-11T18:45:23-0500] fuse-common
[2022-05-11T18:45:23-0500] fuse3
[2022-05-11T18:45:23-0500] intel-ucode
[2022-05-11T18:45:24-0500] linux
[2022-05-11T18:45:24-0500] nvidia
[2022-05-11T18:45:24-0500] psmisc
[2022-05-12T11:01:59-0500] bubblewrap
[2022-05-12T11:01:59-0500] libxml2
[2022-05-12T11:01:59-0500] libnotify
[2022-05-12T11:01:59-0500] gnome-todo
[2022-05-12T11:01:59-0500] python-setuptools
[2022-05-12T11:01:59-0500] jupyterlab
[2022-05-12T11:01:59-0500] python-cryptography
[2022-05-12T20:27:43-0500] pcsclite
[2022-05-12T20:27:43-0500] postgresql-libs
[2022-05-13T08:51:14-0500] jupyterlab
[2022-05-13T08:51:14-0500] librsvg
[2022-05-13T08:51:14-0500] mobile-broadband-provider-info
[2022-05-13T08:51:14-0500] noto-fonts
[2022-05-13T08:51:14-0500] pcsclite
[2022-05-13T08:51:15-0500] vulkan-headers
[2022-05-13T08:51:15-0500] vulkan-icd-loader

~ Vijay




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55368; Package emacs. Full text available.

Message received at 55368 <at> debbugs.gnu.org:


Received: (at 55368) by debbugs.gnu.org; 13 May 2022 02:01:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 22:01:39 2022
Received: from localhost ([127.0.0.1]:42625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npKcc-0002gU-Qv
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 22:01:39 -0400
Received: from sonic307-10.consmr.mail.ne1.yahoo.com ([66.163.190.33]:39431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1npKca-0002gG-U2
 for 55368 <at> debbugs.gnu.org; Thu, 12 May 2022 22:01:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652407290; bh=IB3wuIDCwGcHGnguoxt04JjmdXNq1tGlSaMX09QLzS8=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=JU2pvBUClHjNGWgLMNM2FY7LzhNi1uvNCGhJDBu8H5ZNKJPONIVA3tzz9NHkyvZf2vw7yQ18Fm44Po75WgKtk3FShMERjL3+zAx2rWEsVcRpxoWPAiRnozayLa7HqhXEamZqstCulFZ87ifNCn+L7r0GrkMDjCvsLwVMi3ozhcob+miMCIM1/4GcXCjdxCbkYQ17A218tvG8hNEPYaublCxsn8aOWkp9sVxGNQUUCI2NTrJV3F/3snDjBVeK2e+oLcoyMpcv3xccyq4RI4ijl8jnNFHeXRbDhQ5welTFn9WNlEqyXpfEa0w8w+li9dGaxWHs8myFuHBcl1/W2iIIWQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1652407290; bh=x79LpdTewJOq6V2uP7hBqJsFy+NgCX7CzgW24CzWYF5=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=JNEY49tEyYOim/WsoOVnD6TvzHvVtPup3SMzrENP1gR/vVqJUofXzah2bwzLO45u1m3RjTyDRugKOhK+LPxDyrgRgMBksSVw5wMqjeTE/t/Hcf4LO5i4NsSjfVRiqWkBC6GbZU0nRDCC+S+wq4in5GNGo951iNvT3QAGLlvJB8vcCFur8nUdEmA1rR4RT+ck8XM2IOYJdy3QA7EY3I+hKPehKlK8TiptCL4QUp6aqjUrxH3vKyGWe+tI3623Wd3/Kip7hJj7bY8OfKrFuk2lPbI95fLV83TF17tmdabH+U8HSM00PiXXku6ljYTKc+CNiWKw1Ut87RRFrXWVqGRUDw==
X-YMail-OSG: 0EOKlUYVM1m.nM35_r4IXgxHXsNUgkQtM5dRaY3YK86m5alHYUWOr0tSDetwRAO
 0BVOGOc0r7kLSVyN1u4vD7WhH6SDRoisgFmnZAxXhvCpi1nXvbDi.FJ5mMT7DtOougkj6VaRam4O
 JMEcchxxURuwGajNk8o5EU.aCma7XNrysRW0mPcq9jH.Rdjx5RSv2B_twO5RGnb9rKI5sY7fUxux
 8341XseUd3a1dVq4oB0CRyTJAQc1j8l1sjwssnMJCvSYYZ0l9hGyUttXnH2XWJ5WJz2tJp61.cUg
 6K50EdxEJ.nPd9mxhgANTJUhwJjI57CS5ZjLZFu41wO._2UsWaWtyW1fZZOmyaGSkLicmFkRV2Vj
 .kC4iFMhFj.D2q6AljaUDp3V5DxycQ72dSXSwNP8MAVz0YQY.dyDCXWgIt2MNpt13px3MmKYsrGp
 ZWXCc8LsLMfMPTUWKAg47SStCcea4z40wmHqXSGVxc.hGGAxeq4aUEklugkOeQ.UAPXtaJgelXAT
 u6H_eLusvx8eytGdBZlIyskMKqvFrRXtE48sUQA9_Qk1fVgM8pDLUgbkf7ypy3w1Ue8K2k6qJzJl
 Q9FpIG4_AUi4i1wcgv.fpnkvIMslgqs3ul3kYwKfeDdWPw2ufXzIi2au37I2JT1LbbfM.e6o0CO5
 eIg7PnIz6Q7rXD5jpKY8i8C1KEtGNb73W3Rhk0EFCXGPn6vXYx0RpMI2.mgAw5DUZC3HsE7R4Z4P
 YWLB051VgzpecjCbkqR.RxEG.AiUqIVJSEG3uPCeuUw3URMPfRJfEBRt4MYua3C_dhlPXS8pXHpa
 _mhu9T21FyaRhUvkQocUjm4eXNOwjmYJgTVirp.Pzce8q2Upkr2hDpzuM8BRNoF65nTUZK6dm7bD
 drNDZakToq9lNdGWOjR0feeXEHzb6XaOYeTuHOQbeRCbyZOLAlh8nHL9bjhAkDstI.PA.LtbVPEp
 .QtKeA1tPLeqTVATl.SYwlnH39ggETLzVS2diN0lxq2fOGf6nzkNtCTn.Ju4kEIZSyCpt3tUrf9v
 9X3kKawqbrHLyXVpjmRNO00HnNpE8a7lZXcXQyxweMPzqvtrO.63wynavRi6sJX52cZdK.WizfXQ
 W_xPK732OurGDY00PRuVNpV0CXqIMxff_TP3HE2LLdtdGse3WcfkpFTp4bYJC2JFgtMRSj4yMJb2
 uRdIMkfMs20CbT.f4096UFELP18HqtbHpxp5h4YxQZlMLF69orPFRG7.4xPxV05OqxRWP9IkYtb5
 .uJ_NYeoTW3GxoIffZ6PqULgtLeUovotrFenBovbdYyq5kAWOiOW4oaVjp6SRH0CIoQafUKfrYlh
 16LnZ3L0lFhQcuYsLwyM8HVG0b1tT8BA1V_67h8.1ur1qqGHbsCS7cg4NrJ2S530MgIehHTHipRV
 IWvUwIhrA8e53EjmJtajcp3YUMNTNW5puWQ8OH26VqY9.mQOEXZ_Fo8X3mQ_hMQdpcdY3F9AQSS9
 RXTTnetBuZfp6zMpYfM9robJZpiYLGA7.iVqALgWAGfu6HuvYQvp7fvCEciBewotZLq3iMYyDVW3
 x6u9ceTFaDkHEzqkg0wl.ROu6aQBrI_2FXd.HK151JSoDcECcqKlgLpO8RNCPVUivi6oNz0mlbKG
 rXx2smh_I5GGJcVVxJNhdAgZXsOIhI4jgMeLAddn_JH2hV.8UCJVu2Q8RLplnJ4AJl4Y.URsZidH
 aWrUpqWd3ig6wG6RWvsp_q.uueDoVVinsIkRZUudNC1MqEnffM82UGfdan6w7IP_.CaCIr.xx84Q
 VJTM.YA0eqNl1MP84pBYQGFiUnCQIdnF9cgLvNqNBqH9eqYkQHnal44ks_H7uFE41Hs9jBpHR2rI
 QZK0WMaoL23pWMmBqHYfzDQkWZkqe5cpRSaSDaSz5sUb0qn8tD_0x09OyaR_sDEactYdrv_nxo5r
 mGCnChtLmpCE9WI9CvMVvnX497YpiBnkqK67pBM.yuMpV25ypFOSlWw69.F.kW3k7awrUjn9Bup3
 XQwtKz8umOTdFa0I_pn.XuGHYS2Ez2bi3IhvRZIA9.5eAtxhUSDOQp7MAKrTSvaJrOsftd_NJ9gh
 RlTxsHPQhnfVimZxKW6t.fLcsMULzQULWljdJHy5kX9ukuJfT0to4OgfSojFN6_ZkMOYoe7BzJrv
 eZAkseWfaY86o7ST_4Nz71VLB7bYkhsEAf2TeJn5zTavp_Tj9TatOEX_3YQv4EdZaC3l7l_vGBlQ
 zqJo7PQpv9EZA0yEi_jyJVBU96rHXEvK_O2RDlQCngdPTIupn95t5HIa25A2h6Uyw
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Fri, 13 May 2022 02:01:30 +0000
Received: by hermes--canary-production-sg3-856bf69955-lwmfc (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 1bf7ae49bcdd98c57fd2b5786652d5b6; 
 Fri, 13 May 2022 02:01:23 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Vijay Marupudi <vijay@HIDDEN>
Subject: Re: bug#55368: 29.0.50; Unreliable input-pending-p and
 throw-on-input on Emacs 29 / pgtk in Wayland
References: <874k1wgpkv.fsf@HIDDEN>
Date: Fri, 13 May 2022 10:01:18 +0800
In-Reply-To: <874k1wgpkv.fsf@HIDDEN> (Vijay Marupudi's message of
 "Wed, 11 May 2022 08:34:56 -0500")
Message-ID: <87lev6w5qp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20188
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1165
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55368
Cc: 55368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vijay Marupudi <vijay@HIDDEN> writes:

> Hello,
>
> I would like to report an inconsistency issue with how pending input is
> communicated with elisp code. In Emacs 29, input-pending-p sometimes
> returns t and while-no-input is interrupting code (because it uses
> throw-on-input) AFTER all keyboard input has already been read into
> elisp code and is being processed, and when there is no pending input.
> This is leading to code being unable to process and react to the latest
> input because it gets interrupted while handling the latest input.
>
> This issue does not occur in X.Org sessions, only Wayland.

Does that mean the bug doesn't happen in the regular X build, or does it
mean that nothing happens if you run the PGTK build under X Windows?

And what happens if you comment out this code in `readable_events' in
keyboard.c?

  if (!(flags & READABLE_EVENTS_IGNORE_SQUEEZABLES) && some_mouse_moved ())
    return 1;
  if (single_kboard)
    {
      if (current_kboard->kbd_queue_has_data)
	return 1;
    }
  else
    {
      KBOARD *kb;
      for (kb = all_kboards; kb; kb = kb->next_kboard)
	if (kb->kbd_queue_has_data)
	  return 1;
    }




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55368; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2022 13:35:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:35:30 2022
Received: from localhost ([127.0.0.1]:36569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomV0-0006gQ-9S
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:35:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:39710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vijay@HIDDEN>) id 1nomUy-0006gI-GT
 for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:35:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58902)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vijay@HIDDEN>)
 id 1nomUw-0001CV-VH
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2022 09:35:27 -0400
Received: from mailtransmit04.runbox.com ([2a0c:5a00:149::25]:48730)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vijay@HIDDEN>)
 id 1nomUu-0005je-Aw
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2022 09:35:26 -0400
Received: from mailtransmit03.runbox ([10.9.9.163] helo=aibo.runbox.com)
 by mailtransmit04.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <vijay@HIDDEN>) id 1nomUn-00Drbl-IQ
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2022 15:35:17 +0200
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=vijaymarupudi.com; s=selector2; h=Content-Type:MIME-Version:Message-ID:Date
 :Subject:To:From; bh=c1nXut7Zsu2UtVBhBewnnAlKWeWU2BuSDEj7pua9gv8=; b=E6AMazre
 GAhxUthidyDbL/DJXo5SKR6/QvP+JtPlebBLdN159UOYLClFz6ZyLxNwXleiZ2PA2V0UUclj8x7R9
 UOPxH8TEJLhrKesAj/j7oqspPunnADOgW6ZARcILUN6uLukQF9jZC+xwzT1ilYFQOG8kXQGJhL6v0
 O1lC6KhyMQRq2bA/jfRwaY5yTlYmTBtyyrQUxDSLEiuNVmXRjvAwX1PvXo0LnSJu2zQYD5rr13Pkv
 /8U63XS+WF5XGa/r6Z/LHDOH0+/yE9mYZIrfW53s4ypr4k+btfgTAfZ4xybS8AY3Ky2FZOr1V0o9y
 gQZoXq42XTx87Qt4OBKekYy+Qw==;
Received: from [10.9.9.74] (helo=submission03.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <vijay@HIDDEN>) id 1nomUn-0000U6-1d
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2022 15:35:17 +0200
Received: by submission03.runbox with esmtpsa [Authenticated ID (1028486)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1nomUY-0006XT-E4
 for bug-gnu-emacs@HIDDEN; Wed, 11 May 2022 15:35:02 +0200
From: Vijay Marupudi <vijay@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Unreliable input-pending-p and throw-on-input on Emacs 29
 / pgtk in Wayland
Date: Wed, 11 May 2022 08:34:56 -0500
Message-ID: <874k1wgpkv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a0c:5a00:149::25;
 envelope-from=vijay@HIDDEN; helo=mailtransmit04.runbox.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

I would like to report an inconsistency issue with how pending input is
communicated with elisp code. In Emacs 29, input-pending-p sometimes
returns t and while-no-input is interrupting code (because it uses
throw-on-input) AFTER all keyboard input has already been read into
elisp code and is being processed, and when there is no pending input.
This is leading to code being unable to process and react to the latest
input because it gets interrupted while handling the latest input.

This issue does not occur in X.Org sessions, only Wayland.

This issue was initially encountered via the vertico ELPA package, for
more discussion and screencasts, see here.

https://github.com/minad/vertico/issues/226#issuecomment-1123087263

To replicate this bug, run this code, and then type very fast on your
keyboard. When I type the string "not" very fast, the printed message is
`"not", t`

(require 'cl-lib)

(defun my-hook ()
  (message "%S, %S" (minibuffer-contents)
           (while-no-input
             (cl-loop for i from 0 below 1000000
                      summing i))))

(minibuffer-with-setup-hook (lambda ()
                              (add-hook 'post-command-hook
                                        'my-hook
                                        nil t))
  (read-from-minibuffer "Text: "))

Setup information:

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
 of 2022-05-10 built on entropy
Repository revision: 430b5ba838f31865139e3a724f9191e2b1de57d1
Repository branch: master
System Description: Arch Linux

Configured using:
 'configure --with-json --with-pgtk --with-native-compilation
 --with-xinput2 --with-file-notification=inotify --with-mailutils'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS WEBP XIM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
  global-company-mode: t
  company-mode: t
  which-key-mode: t
  pdf-occur-global-minor-mode: t
  savehist-mode: t
  recentf-mode: t
  marginalia-mode: t
  vertico-mode: t
  show-smartparens-global-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  override-global-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/vijaymarupudi/.emacs.d/elpa/transient-20220509.1943/transient hides /usr/local/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort mail-extr emacsbug misearch multi-isearch vc-mtn vc-hg
vc-git vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs log-view vc
vc-dispatcher vertico-directory mule-util vj-notmuch-config vj-diff
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company cape vj-wiki vj-elisp vj-capture bbt which-key
typescript-mode cc-mode-expansions smartparens-c cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
lsp-pyright pdf-occur ibuf-ext ibuffer ibuffer-loaddefs tablist
tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local find-func cedet
pdf-isearch let-alist pdf-misc pdf-loader pdf-tools pdf-view jka-compr
pdf-cache pdf-info pdf-util pdf-macs image-mode exif lsp-mode
lsp-protocol spinner network-stream nsm lv inline ht f s ewoc slime
arc-mode archive-mode hyperspec geiser-guile info-look geiser
geiser-repl geiser-compile geiser-debug compile geiser-image geiser-capf
geiser-doc geiser-menu geiser-edit etags fileloop generator xref project
geiser-completion geiser-autodoc geiser-eval geiser-connection tq
geiser-syntax scheme geiser-log geiser-popup view ein
smartparens-markdown markdown-mode color noutline outline savehist
embark-consult consult-vertico consult compat-28 recentf tree-widget
magit-bookmark bookmark notmuch notmuch-tree notmuch-jump notmuch-hello
notmuch-show notmuch-print notmuch-crypto notmuch-mua notmuch-message
notmuch-draft notmuch-maildir-fcc notmuch-address notmuch-company
notmuch-parser notmuch-wash coolj notmuch-query goto-addr icalendar
diary-lib diary-loaddefs cal-menu calendar cal-loaddefs notmuch-tag
notmuch-lib notmuch-version notmuch-compat hl-line mm-view mml-smime
smime gnutls dig vj-embark embark ffap marginalia orderless vertico
expand-region text-mode-expansions er-basic-expansions
expand-region-core expand-region-custom smartparens-config
smartparens-text smartparens advice rainbow-delimiters magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff diff-mode git-commit log-edit message eudc-capf eudc
cus-edit pp cus-load eudc-vars sendmail yank-media rmc dired
dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev gmm-utils mailheader pcvs-util add-log magit-core
magit-autorevert magit-margin magit-transient magit-process with-editor
shell pcomplete comint ansi-color magit-mode transient edmacro kmacro
magit-git magit-base magit-section format-spec crm dash compat-27
compat-26 compat exec-path-from-shell eww xdg url-queue thingatpt shr
pixel-fill kinsoku url-file url-dired svg dom puny mm-url gnus nnheader
gnus-util text-property-search time-date mail-utils range wid-edit
mm-util mail-prsvr notifications dbus xml use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode use-package-core modus-operandi-theme modus-themes pcase
autorevert filenotify delsel display-line-numbers comp comp-cstr
warnings rx cl-extra server geiser-impl help-fns radix-tree help-mode
geiser-custom geiser-base ring slime-autoloads info package browse-url
url url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json map url-vars
seq gv subr-x byte-opt bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
abbrev obarray oclosure cl-preloaded button loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo gtk pgtk lcms2 multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 542628 440465)
 (symbols 48 42850 1)
 (strings 32 143837 32615)
 (string-bytes 1 6262187)
 (vectors 16 75716)
 (vector-slots 8 1324303 604428)
 (floats 8 410 1561)
 (intervals 56 1363 434)
 (buffers 992 17))




Acknowledgement sent to Vijay Marupudi <vijay@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55368; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 14 May 2022 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.